routes/web.php
<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\WarehouseController;
use App\Http\Controllers\SalesPointController;
use App\Http\Controllers\ProductController;
use App\Http\Controllers\ClientController;
use App\Http\Controllers\StockController;
use App\Http\Controllers\SalesPointStockController;
/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Route::get('/dashboard', function () {return view('dashboard');})->middleware(['auth'])->name('dashboard');


Route::group(['middleware' => 'auth'], function() {

    //warehousse route
    Route::get('warehouses/archiver/{id}',[WarehouseController::class,'archiver'])->name('warehouses.archiver');
   
   //salespoint route
   Route::get('salespoint/archiver/{id}',[SalesPointController::class,'archiver'])->name('salespoint.archiver');
   
   Route::get('salespoint/newslot',[SalesPointController::class,'newslot'])->name('salespoint.newslot');
   Route::post('stocks/newslotsave',[SalesPointController::class,'newslotsave'])->name('salespoint.newslotsave');
    
   
   //product route
   Route::get('product/archiver/{id}',[ProductController::class,'archiver'])->name('product.archiver');
   
   //clients route
   Route::get('client/archiver/{id}',[ClientController::class,'archiver'])->name('client.archiver');
    //stock transfer to warehouse route
   Route::get('stocks/transfer/{id}',[StockController::class,'transfer'])->name('stocks.transfer');
   Route::post('stocks/saveTransfer',[StockController::class,'saveTransfer'])->name('stocks.saveTransfer');
   //stock transfer to salespoint route
    Route::get('stocks/transferSales/{id}',[SalesPointStockController::class,'transferSales'])->name('stocks.transferSalespoint');
    Route::post('stocks/saveTransferSales',[SalesPointStockController::class,'saveTransferSales'])->name('stocks.saveTransferSales');
    
   Route::resource('warehouses', WarehouseController::class);

    // sales point route
    Route::resource('salespoint', SalesPointController::class);


    // product route
    Route::resource('product', ProductController::class);
    // client route
    Route::resource('client', ClientController::class);

    // stock route stocks.getSlots
    Route::post('stocks/getSlots',[StockController::class,'getSlots'])->name('stocks.getSlots');
    Route::resource('stocks', StockController::class);
});

require __DIR__.'/auth.php';

resources/views/layouts/app.blade.php
<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="csrf-token" content="{{ csrf_token() }}">

        <title>{{ config('app.name', 'ELASTIC Act') }}</title>
        <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-Zenh87qX5JnK2Jl0vWa8Ck2rdkQ2Bzep5IDxbcnCeuOxjzrPF/et3URy9Bv1WTRi" crossorigin="anonymous">
        <!-- JavaScript Bundle with Popper -->
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-OERcA2EqjJCMA+/3y+gxIOqMEjwtxJY7qPCqsdltbNJuaOe923+mo//f6V8Qbsw3" crossorigin="anonymous"></script> 
        <link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Material+Symbols+Outlined:opsz,wght,FILL,GRAD@20..48,100..700,0..1,-50..200" />
        <!-- Fonts -->
        <link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Nunito:wght@400;600;700&display=swap">

        <!-- Scripts -->
        <!-- @vite(['resources/css/app.css', 'resources/js/app.js']) -->
		<link href="{{ asset('css/app.css') }}" rel="stylesheet">
		<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-Zenh87qX5JnK2Jl0vWa8Ck2rdkQ2Bzep5IDxbcnCeuOxjzrPF/et3URy9Bv1WTRi" crossorigin="anonymous">
        <!-- JavaScript Bundle with Popper -->
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-OERcA2EqjJCMA+/3y+gxIOqMEjwtxJY7qPCqsdltbNJuaOe923+mo//f6V8Qbsw3" crossorigin="anonymous"></script> 
        
        <!-- Fonts -->
        <link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Nunito:wght@400;600;700&display=swap">


<script defer src="{{asset('js/app.js')}}"></script>

<link rel="stylesheet" type="text/css" href="{{asset('css/dataTables.css')}}">
  


    </head>
    <body class="font-sans antialiased">
        <div class="min-h-screen bg-gray-100">
            @include('layouts.navigation')

            <!-- Page Heading -->
            <header class="bg-white shadow">
                <div class="max-w-7xl mx-auto py-6 px-4 sm:px-6 lg:px-8">
                    {{-- {{ $header }} --}}
                </div>
            </header>

            <!-- Page Content -->
            <main>
                {{-- <div class="home" style="margin-top: 80px; margin-left: 30px;"> --}}
                <div class="container home" style="margin-top: 20px">
                <div class="row">
                @include('layouts.navbar')
                {{-- {{ $slot }} --}}
                <div class="">
                @yield('content')
                </div>
                </div>
            </div>
            </main>
        </div>
        <script type="text/javascript"  src="{{asset('js/jquery.min.js')}}"></script>
        <script type="text/javascript" charset="utf8" src="{{asset('js/dataTables.js')}}"></script>
        <script>
            $(document).ready( function () {
    $('.table').DataTable();
} );
        </script>
        @yield('js')
    </body>
</html>

resources/views/layouts/guest.blade.php
<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="csrf-token" content="{{ csrf_token() }}">

        <title>{{ config('app.name', 'Laravel') }}</title>

        <!-- Fonts -->
        <link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Nunito:wght@400;600;700&display=swap">

        <!-- Scripts 
        @vite(['resources/css/app.css', 'resources/js/app.js'])-->
		<link href="{{ asset('css/app.css') }}" rel="stylesheet">
<script defer src="{{asset('js/app.js')}}"></script>
    </head>
    <body>
        <div class="font-sans text-gray-900 antialiased">
            {{ $slot }}
        </div>
    </body>
</html>

resources/views/layouts/navbar.blade.php
<style>
    .taille{
        min-width: 120px;
        margin-top:20px;
        font-weight: bold;
    }
    
</style>
<!--
    <div class ="card col-1 taille"style="background-color: #e3f2fd;" >
        <nav class ="navbar">
        <ul class ="nav navbar-nav">
        <li class ="nav-item">
        <a class ="nav-link" href="{{route('warehouses.index')}}"> Wharehouse </a>
        </li>
        <li class ="nav-item">
        <a class ="nav-link" href="{{route('salespoint.index')}}"> SalesPoint </a>
        </li>
        <li class ="nav-item">
        <a class ="nav-link" href="{{route('product.index')}}"> Product </a>
        </li>
        <li class ="nav-item">
        <a class ="nav-link" href="{{route('client.index')}}"> Clients </a>
        </li>
        <li class ="nav-item">
            <a class ="nav-link" href="{{route('stocks.index')}}"> Stock </a>
        </li>
        </ul>
        </nav>
        </div>-->
<style>
    .nav a:hover{
    color: white;
    }
    .nav a:active{
      color:white;
    }
    .icon-button {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 40px;
  height: 40px;
  color: #333333;
  background: #dddddd;
  border: none;
  outline: none;
  border-radius: 50%;
}

.icon-button:hover {
  cursor: pointer;
}

.icon-button:active {
  background: #cccccc;
}

.icon-button__badge {
  position: absolute;
  top: -6px;
  right: -6px;
  width: 20px;
  height: 20px;
  background: red;
  color: #ffffff;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 50%;
}

</style>
        <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
            <div class="container-fluid">
              <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
              </button>
              <div class="collapse navbar-collapse" id="navbarNav">
                <ul class="navbar-nav nav">
                    <li class="nav-item">
                        <a class="nav-link" href="{{route('warehouses.index')}}">Warehouse</a>
                    </li>    
                  <li class="nav-item">
                    <a class="nav-link" aria-current="page" href="{{route('salespoint.index')}}">SalesPoint</a>
                  </li>
                  <li class="nav-item">
                    <a class="nav-link" href="{{route('product.index')}}">Product</a>
                  </li>
                  <li class="nav-item">
                    <a class="nav-link" href="{{route('client.index')}}">Clients</a>
                  </li>
                  
                  <li class="nav-item">
                    <a class="nav-link" href="{{route('stocks.index')}}">Stock</a>
                  </li>
                  <ul class="ml-auto">
                    <li class="nav-item">
                      <button type="button" class="icon-button" style="position: fixed; right: 17%;"
                      data-bs-toggle="modal" data-bs-target="#exampleModal">
                        <span class="material-symbols-outlined">notifications</span>
                        @if (session()->has('message'))
                            <span class="icon-button__badge" >1</span>
                        @else
                        <span class="icon-button__badge" >0</span>
                        @endif 
                        
                      </button>
                    </li>
                  </ul> 
                 
                </ul>
                
              </div>
            </div>
          </nav>  
         <!-- Button trigger modal -->
{{-- <button type="button" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#exampleModal">
  Launch demo modal
</button> --}}

<!-- Modal -->
<div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel" style="align-content: center">Alert Stock</h5>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
      </div>
      <div class="modal-body">
        The stock is less than the minimum quantity
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
      </div>
    </div>
  </div>
</div>

resources/views/layouts/navigation.blade.php
<nav x-data="{ open: false }" class="bg-white border-b border-gray-100">
    <!-- Primary Navigation Menu -->
    <div class="max-w-7xl mx-auto px-4 sm:px-6 lg:px-8">
        <div class="flex justify-between h-16">
            <div class="flex">
                <!-- Logo -->
                <div class="shrink-0 flex items-center">
                    <a href="{{ route('dashboard') }}">
                        <x-application-logo class="block h-10 w-auto fill-current text-gray-600" />
                    </a>
                </div>

                <!-- Navigation Links -->
                {{-- <div class="hidden space-x-8 sm:-my-px sm:ml-10 sm:flex">
                    <x-nav-link :href="route('dashboard')" :active="request()->routeIs('dashboard')">
                        {{ __('Dashboard') }}
                    </x-nav-link>
                </div> --}}
            </div>

            <!-- Settings Dropdown -->
            <div class="hidden sm:flex sm:items-center sm:ml-6">
                <x-dropdown align="right" width="48">
                    <x-slot name="trigger">
                        <button class="flex items-center text-sm font-medium text-gray-500 hover:text-gray-700 hover:border-gray-300 focus:outline-none focus:text-gray-700 focus:border-gray-300 transition duration-150 ease-in-out">
                            <div>{{ Auth::user()->name }}</div>

                            <div class="ml-1">
                                <svg class="fill-current h-4 w-4" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20">
                                    <path fill-rule="evenodd" d="M5.293 7.293a1 1 0 011.414 0L10 10.586l3.293-3.293a1 1 0 111.414 1.414l-4 4a1 1 0 01-1.414 0l-4-4a1 1 0 010-1.414z" clip-rule="evenodd" />
                                </svg>
                            </div>
                        </button>
                    </x-slot>

                    <x-slot name="content">
                        <!-- Authentication -->
                        <form method="POST" action="{{ route('logout') }}">
                            @csrf

                            <x-dropdown-link :href="route('logout')"
                                    onclick="event.preventDefault();
                                                this.closest('form').submit();">
                                {{ __('Log Out') }}
                            </x-dropdown-link>
                        </form>
                    </x-slot>
                </x-dropdown>
            </div>

            <!-- Hamburger -->
            <div class="-mr-2 flex items-center sm:hidden">
                <button @click="open = ! open" class="inline-flex items-center justify-center p-2 rounded-md text-gray-400 hover:text-gray-500 hover:bg-gray-100 focus:outline-none focus:bg-gray-100 focus:text-gray-500 transition duration-150 ease-in-out">
                    <svg class="h-6 w-6" stroke="currentColor" fill="none" viewBox="0 0 24 24">
                        <path :class="{'hidden': open, 'inline-flex': ! open }" class="inline-flex" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M4 6h16M4 12h16M4 18h16" />
                        <path :class="{'hidden': ! open, 'inline-flex': open }" class="hidden" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M6 18L18 6M6 6l12 12" />
                    </svg>
                </button>
            </div>
        </div>
    </div>

    <!-- Responsive Navigation Menu -->
    <div :class="{'block': open, 'hidden': ! open}" class="hidden sm:hidden">
        <div class="pt-2 pb-3 space-y-1">
            <x-responsive-nav-link :href="route('dashboard')" :active="request()->routeIs('dashboard')">
                {{ __('Dashboard') }}
            </x-responsive-nav-link>
        </div>

        <!-- Responsive Settings Options -->
        <div class="pt-4 pb-1 border-t border-gray-200">
            <div class="px-4">
                <div class="font-medium text-base text-gray-800">{{ Auth::user()->name }}</div>
                <div class="font-medium text-sm text-gray-500">{{ Auth::user()->email }}</div>
            </div>

            <div class="mt-3 space-y-1">
                <!-- Authentication -->
                <form method="POST" action="{{ route('logout') }}">
                    @csrf

                    <x-responsive-nav-link :href="route('logout')"
                            onclick="event.preventDefault();
                                        this.closest('form').submit();">
                        {{ __('Log Out') }}
                    </x-responsive-nav-link>
                </form>
            </div>
        </div>
    </div>
</nav>